% Testing problem: Image deblurring (Elephant deblurring).
%
% Matlab software for the paper "The regularizing effect of the Golub-Kahan 
% iterative bidiagonalization and revealing the noise level in the data", 
% by I. Hnetynkova, M. Plesinger, and Z. Strakos.
%
% Amult.m ......... Matrix-vector product y = A * x via 2D convolution.
% ATmult.m ........ Matrix-vector product y = A^T * x via 2D convolution.
% Content.m ....... Table of content.
% csvd.m .......... Compact singular value decomposition, part of [1].
% Elephant.jpg .... Testing image of elephant [3].
% goka_b_PSF.m .... Golub-Kahan bidiagonalization using matrix-vector products
%                   computed via 2D convolution; it is a modified routine 
%                   lanc_b.m from [1]. (Note that, if the bidiagonaliztion is
%                   computed with Householder reorthogonalization, the routine
%                   app_hh.m from [1] is needed, it is not a part of this pack.)
% psfGauss.m ...... Contstructs a Gaussian blur point-spread-function, 
%                   part of [2].
% testDeblur.m .... Launches the testing problem!
% 
% [1] P. C. Hansen -- Regularization Tools, Version 4.0 for MATLAB 7.3.
% [2] P. C. Hansen, J. Nagy, D. O'Leary -- Deblurring Images: Matrices, 
%     Spectra, and Filtering, SIAM, 2006 (additional software tools).
% [3] National Geographic Society, see the webpage:
%     http://animals.nationalgeographic.com/animals/mammals/african-elephant.html

% Author of this code: P. C. Hansen; modified by M. Plesinger, April, 2009.
 